# Uses of Enum Class
javax.validation.metadata.Scope

Packages that use Scope
Package
Description
javax.validation.metadata

## Uses of Scope in javax.validation.metadata

Methods in javax.validation.metadata that return Scope
Modifier and Type
Method
Description
`static Scope`
Scope.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Scope[]`
Scope.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.validation.metadata with parameters of type Scope
Modifier and Type
Method
Description
`ElementDescriptor.ConstraintFinder`
ElementDescriptor.ConstraintFinder.`lookingAt(Scope scope)`